package com.ycgis.macall.personalcenter.m.adapterbean;

import com.rs.macall.androidx.basemodel.utils.StringUtil;
import com.ycgis.macall.personalcenter.R;

/**
 * created by:   Macall
 * create time:  2023/6/3 11:00
 * copyright:    @ruansee.com
 * Describe:
 */
public class ApplyAuditBean extends BaseBean {
    private String id;
    //姓名
    private String auditNickName;

    //警号
    private String auditUserName;
    //机构
    private String auditDeptName;
    //  2  所在单位    3 所在地市   6 省厅    1 运维
    private String auditUserType;

    //结果
    private String result;

    //0不通过  1 通过
    private int auditStatus;

    //审核意见
    private String opinion;
    private String auditTime;

    private String sealStatus;
    private String sealDeptId;

    public String getSealStatus() {
        return sealStatus;
    }

    public void setSealStatus(String sealStatus) {
        this.sealStatus = sealStatus;
    }

    public String getSealDeptId() {
        return sealDeptId;
    }

    public void setSealDeptId(String sealDeptId) {
        this.sealDeptId = sealDeptId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getReviewedBy() {
        return String.format("%s(%s)",getAuditNickName(),getAuditUserName());
    }

    public int stateBG(){
        if (auditStatus == 0 )return R.drawable.bk_read;
        return R.drawable.bk_ls;
    }

    public int stateColor(){
        if (auditStatus == 0 )return R.color.colorRed7;
        return R.color.colorGreen7;
    }

    //1 审核通过  0 待审核  2 分局审核通过   3 市局审核通过  -1 不通过
    public String getStateStr() {
        if (auditStatus == 0 )return "不通过";
        return "通过";
    }

    public int getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(int auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getTimeStr() {
        return "审批时间："+getAuditTime();
    }

    public String getAuditNickName() {
        return StringUtil.get(auditNickName,"暂无");
    }

    public void setAuditNickName(String auditNickName) {
        this.auditNickName = auditNickName;
    }

    public String getAuditUserName() {
        return StringUtil.get(auditUserName,"暂无");
    }

    public void setAuditUserName(String auditUserName) {
        this.auditUserName = auditUserName;
    }

    public String getAuditDeptNameStr() {
        return "所属部门："+getAuditDeptName();
    }


    public String getAuditDeptName() {
        return StringUtil.get(auditDeptName,"暂无");
    }

    public void setAuditDeptName(String auditDeptName) {
        this.auditDeptName = auditDeptName;
    }

    public String getResult() {
        return StringUtil.get(result,"暂无");
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getOpinionStr() {
        return "审核意见："+StringUtil.get(opinion,"暂无");
    }
    public String getOpinion() {
        return StringUtil.get(opinion,"暂无审核意见");
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion;
    }

    public String getAuditTime() {
        return StringUtil.get(auditTime,"暂无");
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public String getAuditUserTypeStr() {
       if (auditUserType == null) return "暂无：";
        switch (auditUserType){
            case "2":
                return "所在单位意见：";
            case "3":
                return "所在地市意见：";
            case "5":
                return "单位领导意见：";
            case "6":
                return "省厅意见：";
            case "7":
                return "督察部门意见：";
            case "8":
                return "纪检部门意见：";
            case "9":
                return "政工部门意见：";
            default:
                return "运维单位：";
       }
    }

    public String getAuditUserType() {
        return auditUserType;
    }

    public void setAuditUserType(String auditUserType) {
        this.auditUserType = auditUserType;
    }


}
